QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QsciLexerMatlab Class Reference

`#include <qscilexermatlab.h>`

Inherits QsciLexer.

Inherited by QsciLexerOctave.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Command = 2,
  Number = 3, Keyword = 4, SingleQuotedString = 5,
  Operator = 6, Identifier = 7, DoubleQuotedString = 8
  }

## Public Member Functions

- QsciLexerMatlab (QObject *parent=0)
- virtual ~QsciLexerMatlab ()
- const char * language () const
- const char * lexer () const
- QColor defaultColor (int style) const
- QFont defaultFont (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QsciLexerMatlab class encapsulates the Scintilla Matlab file lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Matlab file lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Command | A command.
  Number | A number.
  Keyword | A keyword.
  SingleQuotedString | A single quoted string.
  Operator | An operator.
  Identifier | An identifier.
  DoubleQuotedString | A double quoted string.

## Constructor & Destructor Documentation

QsciLexerMatlab::QsciLexerMatlab | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerMatlab with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerMatlab::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

Reimplemented in QsciLexerOctave.

QColor QsciLexerMatlab::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

const char* QsciLexerMatlab::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

Reimplemented in QsciLexerOctave.

QString QsciLexerMatlab::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.